//                                               -*- C++ -*-
/**
 *  @file  OTProcess.hxx
 *  @brief The external header file of Open TURNS for subdir Process
 *
 *  (C) Copyright 2005-2012 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *  @author schueller
 *  @date   2012-07-16 10:12:54 +0200 (Mon, 16 Jul 2012)
 *  Id      OTProcess.hxx 2600 2012-07-16 08:12:54Z schueller
 */

#ifndef OPENTURNS_OTSTOCHASTICPROCESS_HXX
#define OPENTURNS_OTSTOCHASTICPROCESS_HXX

#include "ARMA.hxx"
#include "ARMACoefficients.hxx"
#include "ARMAState.hxx"
#include "SpectralNormalProcess.hxx"
#include "TemporalNormalProcess.hxx"
#include "WhiteNoise.hxx"
#include "RandomWalk.hxx"
#include "CompositeProcess.hxx"
#include "FunctionalBasisProcess.hxx"
#include "ARMAFactoryImplementation.hxx"
#include "ARMAFactory.hxx"
#include "WhittleFactory.hxx"
#include "WhittleFactoryState.hxx"
#include "ARMALikelihoodFactory.hxx"

#endif /* OPENTURNS_OTSTOCHASTICPROCESS_HXX */
