// SWIG file Drawable.i
// @author schueller
// @date   2012-01-02 11:44:01 +0100 (Mon, 02 Jan 2012)

%{
#include "Drawable.hxx"

namespace OT { 

  template <>
  struct traitsPythonType< OT::Drawable >
  {
    typedef _PyObject_ Type;
  };

  template <>
  inline
  OT::Drawable
  convert< _PyObject_, OT::Drawable >(PyObject * pyObj)
  {
    void * ptr = 0;
    if ( SWIG_IsOK(SWIG_ConvertPtr( pyObj, &ptr, SWIG_TypeQuery("OT::DrawableImplementation *"), 0 |  0 ) ) ) {
      OT::DrawableImplementation * p_dist = reinterpret_cast< OT::DrawableImplementation * >( ptr );
      return *p_dist;
    }
    else if ( SWIG_IsOK(SWIG_ConvertPtr( pyObj, &ptr, SWIG_TypeQuery("OT::Drawable *"), 0 |  0 ) ) ) {
      OT::Drawable * p_dist = reinterpret_cast< OT::Drawable * >( ptr );
      return *p_dist;
    }
    else {
      throw OT::InvalidArgumentException(HERE) << "Object passed as argument is not convertible to a Drawable";  
    }
    return OT::Drawable();
  }


} /* namespace OT */

%}

%template(DrawableImplementationTypedInterfaceObject)           OT::TypedInterfaceObject<OT::DrawableImplementation>;

%typemap(in) const OT::Drawable & ($1_basetype temp) {
  if (! SWIG_IsOK(SWIG_ConvertPtr($input, (void **) &$1, $1_descriptor, 0))) {
    OT::DrawableImplementation * p_impl = 0;
    if (SWIG_IsOK(SWIG_ConvertPtr($input, (void **) &p_impl, SWIG_TypeQuery("OT::DrawableImplementation *"), 0))) {
      temp = OT::Drawable( *p_impl );
      $1 = &temp;
    } else throw OT::InvalidArgumentException(HERE) << "Object is not convertible to a drawable";
  }
}

%typemap(typecheck,precedence=SWIG_TYPECHECK_POINTER) const OT::Drawable & {
  $1 = SWIG_IsOK(SWIG_ConvertPtr($input, NULL, $1_descriptor, 0)) || SWIG_IsOK(SWIG_ConvertPtr($input, NULL, SWIG_TypeQuery("OT::DrawableImplementation *"), 0));
}

%include Drawable.hxx
namespace OT{  

%extend Drawable {

Drawable(const Drawable & other) { return new OT::Drawable(other); }

Drawable(PyObject * pyObj)
{
 return new OT::Drawable( OT::convert<OT::_PyObject_,OT::Drawable>(pyObj) );
}

}
}
