// SWIG file bayesian_module.i
// @author schueller
// @date   2012-11-17 13:46:13 +0100 (Thu, 17 Nov 2012)

%module(package="openturns", docstring="Bayesian algorithms.") bayesian
%feature("autodoc","1");

%{
#include "OTconfig.hxx"
#include "OTBase.hxx"
#include "OTModel.hxx"
#include "OTBayesian.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

%import (module="openturns.common") common_module.i
%import (module="openturns.typ") typ_module.i
%include TestResult.i
%import (module="openturns.base") base_module.i

/* Uncertainty/Model */
/* Uncertainty/Distribution */
%import (module="openturns.model_copula") model_copula_module.i
%import UncertaintyModelCopulaTemplateDefs.i
%import (module="openturns.dist_bundle1") dist_bundle1_module.i
%import (module="openturns.dist_bundle2") dist_bundle2_module.i

/* Uncertainty/Model */
%import (module="openturns.randomvector") randomvector_module.i

/* Uncertainty/Bayesian */
%include CalibrationStrategyImplementation.i
%include CalibrationStrategy.i
%include SamplerImplementation.i
%include Sampler.i
%include MCMC.i
%include RandomWalkMetropolisHastings.i
%include PosteriorRandomVector.i

/* At last we include template definitions */
%include UncertaintyBayesianTemplateDefs.i
