// SWIG file classification_module.i
// @author dutka
// @date   2011-11-17 13:46:13 +0100 (Thu, 17 Nov 2011)

%module(package="openturns", docstring="Classification algorithms.") classification
#pragma SWIG nowarn=302,509
%feature("autodoc","1");

%{
#include "OTconfig.hxx"
#include "OTBase.hxx"
#include "OTModel.hxx"
#include "OTClassification.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

%import (module="openturns.common") common_module.i 
%import (module="openturns.typ") typ_module.i 
%include TestResult.i
%import (module="openturns.base") base_module.i 

/* Uncertainty/Model */
/* Uncertainty/Distribution */
%import (module="openturns.model_copula") model_copula_module.i 
%import UncertaintyModelCopulaTemplateDefs.i
//%import (module="openturns.randomvector") randomvector_module.i 
%import (module="openturns.dist_bundle1") dist_bundle1_module.i 
%import (module="openturns.dist_bundle2") dist_bundle2_module.i 

/* Uncertainty/Algorithm/Classification */
%include MixtureClassifier.i

/* At last we include template definitions */
%include UncertaintyClassificationTemplateDefs.i
