// SWIG file simulation_module.i
// @author schueller
// @date   2012-07-16 12:24:33 +0200 (Mon, 16 Jul 2012)

%module(package="openturns", docstring="Simulation uncertainty propagation algorithms.") simulation
#pragma SWIG nowarn=302,509
%feature("autodoc","1");

%{
#include "OTconfig.hxx"
#include "OTBase.hxx"
#include "OTModel.hxx"
#include "OTDistribution.hxx"
#include "OTTransformation.hxx"
#include "OTAnalytical.hxx"
#include "OTSimulation.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

%import (module="openturns.common") common_module.i 
%import (module="openturns.typ") typ_module.i 
%include TestResult.i
%import (module="openturns.base") base_module.i 

/* Uncertainty/Model */
/* Uncertainty/Distribution */
%import (module="openturns.model_copula") model_copula_module.i 
%import UncertaintyModelCopulaTemplateDefs.i

/* Uncertainty/Algorithm/Transformation */
%import (module="openturns.transformation") transformation_module.i 
%import UncertaintyTransformationTemplateDefs.i

/* Uncertainty/Algorithm/Analytical */
%import (module="openturns.analytical") analytical_module.i 
%import UncertaintyAnalyticalTemplateDefs.i

/* Uncertainty/Algorithm/WeightedExperiment */
%import (module="openturns.weightedexperiment") weightedexperiment_module.i

/* Uncertainty/Algorithm/Simulation */
%include SimulationSensitivityAnalysis.i
%include SimulationResultImplementation.i
%include SimulationResult.i
%include Simulation.i
%include PostAnalyticalSimulation.i
%include Wilks.i
%include MonteCarlo.i
%include LHS.i
%include RandomizedLHS.i
%include ImportanceSampling.i
%include PostAnalyticalControlledImportanceSampling.i
%include PostAnalyticalImportanceSampling.i
%include RootStrategyImplementation.i
%include RootStrategy.i
%include SamplingStrategyImplementation.i
%include SamplingStrategy.i
%include DirectionalSampling.i
%include OrthogonalDirection.i
%include RandomDirection.i
%include MediumSafe.i
%include RiskyAndFast.i
%include SafeAndSlow.i
%include QuasiMonteCarlo.i
%include RandomizedQuasiMonteCarlo.i
%include QuasiMonteCarloResult.i

/* At last we include template definitions */
%include UncertaintySimulationTemplateDefs.i
