// SWIG file uncertainty_module.i
// @author schueller
// @date   2012-07-16 12:24:33 +0200 (Mon, 16 Jul 2012)

%module(package="openturns", docstring="Probabilistic meta-package.") uncertainty
#pragma SWIG nowarn=302,509
%feature("autodoc","1");

%{
#include "OTconfig.hxx"
#include "OTBase.hxx"
#include "OTUncertainty.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

%import (module="openturns.common") common_module.i 
%import (module="openturns.typ") typ_module.i 
%include TestResult.i
%import (module="openturns.base") base_module.i 

/* Uncertainty/Model */
/* Uncertainty/Distribution */
%import (module="openturns.model_copula") model_copula_module.i 
%import UncertaintyModelCopulaTemplateDefs.i
%import (module="openturns.randomvector") randomvector_module.i 
%import (module="openturns.dist_bundle1") dist_bundle1_module.i 
%import (module="openturns.dist_bundle2") dist_bundle2_module.i 

/* FIXME: Wrong place in Base/Stat */
/* Base/Stat */
%include CorrelationAnalysis.i
%include SensitivityAnalysis.i

/* Uncertainty/Algorithm/Experiment */
%import (module="openturns.weightedexperiment") weightedexperiment_module.i

/* Uncertainty/Algorithm/Classification */
%import (module="openturns.classification") classification_module.i 
%import UncertaintyClassificationTemplateDefs.i

/* Uncertainty/Algorithm/OrthogonalBasis */
%import (module="openturns.orthogonalbasis") orthogonalbasis_module.i 
%import UncertaintyOrthogonalBasisTemplateDefs.i

/* Uncertainty/Algorithm/MetaModel */
%import (module="openturns.metamodel") metamodel_module.i 
%import UncertaintyMetaModelTemplateDefs.i

/* Uncertainty/Algorithm/QuadraticCumul */
%include QuadraticCumul.i

/* Uncertainty/Algorithm/Transformation */
%import (module="openturns.transformation") transformation_module.i 
%import UncertaintyTransformationTemplateDefs.i

/* Uncertainty/Algorithm/Analytical */
%import (module="openturns.analytical") analytical_module.i 
%import UncertaintyAnalyticalTemplateDefs.i

/* Uncertainty/Algorithm/Simulation */
%import (module="openturns.simulation") simulation_module.i 
%import UncertaintySimulationTemplateDefs.i

/* Uncertainty/StatTests */
%import (module="openturns.stattests") stattests_module.i 
%import UncertaintyStatTestsTemplateDefs.i

/* Uncertainty/Process*/
%import (module="openturns.model_process") model_process_module.i 
%import UncertaintyProcessTemplateDefs.i 

/* At last we include template definitions */
%include UncertaintyTemplateDefs.i
